import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter/src/widgets/framework.dart';
import 'package:v_base_framework/page/base_page.dart';
import 'package:v_base_framework/widget/appbar_helper.dart';
import 'package:v_components/widgets/cell/cell_widget.dart';

class CellDemo extends BasePage {
  @override
  CommonBasePageState<BasePage> createBaseState() => _CellState();
}

class _CellState extends CommonBasePageState<CellDemo> {
  @override
  Widget buildPageWidget(BuildContext context) {
    return Scaffold(
      appBar: CommonAppbarUtil.getAppBar(context,
        appBarBackgroundColor: "#0389fa", title: "cell",
      ),
      body: SingleChildScrollView(
        child: Column(
          children: [
            const VCell(
                title: '右边文字换行',
                value:
                'text赋初44444444444444444444444444444444444444444444444444值'),
            const VCell(labelText: '请选择', value: 'text赋初值'),
            const VCell(
              title: "左侧标题",
              hintText: '请选择',
              showRedStar: true,
            ),
            const VCell(
              title: '左标题',
              hintText: '红色标题',
              titleStyle: TextStyle(
                fontSize: 15.0,
                color: Colors.red,
              ),
            ),
            const VCell(
              title: '左标题',
              value: '红色文字',
              textStyle: TextStyle(
                fontSize: 15.0,
                color: Colors.red,
              ),
            ),
            const VCell(
              title: '左标题',
              value: 'text靠右',
              textAlign: TextAlign.right,
            ),
            VCell(
              hintText: '左侧自定义',
              leftWidget: Container(
                color: Colors.redAccent,
                width: 92,
                height: 45,
              ),
            ),
            VCell(
              title: '左标题',
              hintText: '右侧自定义',
              rightWidget: Container(
                color: Colors.yellow,
                width: 140,
                height: 45,
              ),
            ),
            const VCell(
              title: '左标题',
              hintText: '设置边框,隐藏底部线',
              hiddenLine: true,
              border: OutlineInputBorder(
                borderRadius:  BorderRadius.all(Radius.circular(4)),
                borderSide: BorderSide(
                  width: 1,
                  style: BorderStyle.none,
                ),
              ),
            ),

            const   VCell(
              title: '左标题',
              hintText: '设置边框，显示红星，title顶部对齐',
              hiddenLine: true,
              showRedStar: true,
              topAlign: true,
              border: OutlineInputBorder(
                borderRadius:  BorderRadius.all(Radius.circular(4)),
                borderSide: BorderSide(
                  width: 1,
                  style: BorderStyle.none,
                ),
              ),
            ),

          ],
        ),
      ),
    );
  }

  @override
  void initBaseParams() {
    // TODO: implement initBaseParams
  }

  @override
  void initPageData() {
    // TODO: implement initPageData
  }
}
