import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter/src/widgets/framework.dart';
import 'package:v_base_framework/page/base_page.dart';
import 'package:v_base_framework/widget/appbar_helper.dart';
import 'package:v_components/widgets/dropDown/bean/filter_res.dart';
import 'package:v_components/widgets/dropDown/drop_down_menu.dart';
import 'package:v_components/widgets/dropDown/drop_down_menu_header.dart';
import 'package:v_components/widgets/dropDown/drop_menu_controller.dart';
import 'package:v_components/widgets/dropDown/widgets/menu_list.dart';
import 'package:v_components/widgets/tabbar/tabbar_widget.dart';

import '../tabbar_demo/tabbar_page_alive.dart';


class FilterDemo extends BasePage {
  @override
  CommonBasePageState<BasePage> createBaseState() => _FilterState();
}

class _FilterState extends CommonBasePageState<FilterDemo> {
  var _keyWord = '';
  List _searchData = [];

  final DropDownMenuController _menuController = DropDownMenuController();
  final List<FilterBean> list1 = [];
  final List<FilterBean> list2 = [];
  final List<FilterBean> list3 = [];

  @override
  Widget buildPageWidget(BuildContext context) {
    return Scaffold(
        appBar: CommonAppbarUtil.getAppBar(
          context,
          appBarBackgroundColor: "#0389fa",
          title: "search",
        ),
        body: Column(
          children: [
            Container(height: 50,color: Colors.deepPurple,),

            Row(
              children: [
                Expanded(
                    child: Container(
                      height: 20,
                      width: 30,
                      color: Colors.yellow,
                    )),
                DropDownMenuHeader(
                    menuController: _menuController,
                    titles: const ["检测领域", "业务类型", "距离"]),
                Expanded(
                    child: Container(
                  height: 20,
                  width: 30,
                  color: Colors.yellow,
                ))
              ],
            ),
            Expanded(
                child: Stack(
              children: [
                VTopTabBar(
                  tabModelArr: model, tabTitle: tabTitle,
                ),
                DropDownMenu(
                    height: 300,
                    milliseconds: 300,
                    children: [
                      MenuList(
                        index: 0,
                        choose: Choose.multi,
                        menuController: _menuController,
                        filterList: list1,
                        onTap: (index) {
                          setState(() {});
                        },
                      ),
                      MenuList(
                        index: 1,
                        menuController: _menuController,
                        filterList: list2,
                        onTap: (index) {
                          setState(() {});
                        },
                      ),
                      /*MenuList(
                        index: 2,
                        menuController: _menuController,
                        filterList: list3,
                        onTap: (index) {
                          setState(() {});
                        },
                      ),*/
                      Container(height: 20,color: Colors.black,)

                    ],
                    menuController: _menuController),

              ],
            ))
          ],
        ));
  }

  List<VTopTabBarModel> model = [

    VTopTabBarModel(title: '视频', widget: HomeContent2(title: "视频")),
    VTopTabBarModel(title: '推荐', widget: HomeContent2(title: "推荐")),
    VTopTabBarModel(title: '直播', widget: HomeContent2(title: "直播")),
    VTopTabBarModel(title: 'NBA', widget: HomeContent2(title: "NBA")),
    VTopTabBarModel(title: 'CBA', widget: HomeContent2(title: "CBA")),
    VTopTabBarModel(title: '排球', widget: HomeContent2(title: "排球")),
    VTopTabBarModel(title: '世界杯', widget: HomeContent2(title: "世界杯")),
    VTopTabBarModel(title: '足球', widget: HomeContent2(title: "足球")),
  ];

  List<String> tabTitle = [
    '视频',
    '推荐',
    '直播',
    'NBA',
    'CBA',
    '排球',
    '世界杯',
    '足球',
  ];

  @override
  void initBaseParams() {
    // TODO: implement initBaseParams
  }

  @override
  void initPageData() {
    for (int i = 0; i < 10; i++) {
      list1.add(FilterBean(name: "选项$i"));
      list2.add(FilterBean(name: "选项2--$i"));
      list3.add(FilterBean(name: "选项3--$i"));
    }
  }
}
