import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:flutter/src/widgets/framework.dart';
import 'package:get/get.dart';
import 'package:v_base_framework/page/base_page.dart';
import 'package:v_base_framework/widget/appbar_helper.dart';
import 'package:v_components/widgets/cell/field_widget.dart';
import 'package:v_components/widgets/field/field2_widget.dart';
import 'package:v_components/widgets/field/sms_countDown_btn.dart';

import '../res/assets_res.dart';

class FieldDemo extends BasePage {
  @override
  CommonBasePageState<BasePage> createBaseState() => _CellState();
}

class _CellState extends CommonBasePageState<FieldDemo> {
  final FocusNode _node1 = FocusNode();
  final FocusNode _node2 = FocusNode();

  var _phone = '';
  var _code = '';
  var _pwd = '';
  var _name = '';
  @override
  Widget buildPageWidget(BuildContext context) {
    return Scaffold(
      appBar: CommonAppbarUtil.getAppBar(context,
        appBarBackgroundColor: "#0389fa", title: "field",
      ),
      body: SingleChildScrollView(
        padding: EdgeInsets.all(20),
        child: Column(
          children:  [
            const VField(
              hintText: '默认样式，没有边框',
            ),
            const SizedBox(height: 10),
            const VField(
              text: 'text赋初值,不可编辑',
              enabled: false,
            ),

            const SizedBox(height: 10),
            VField(hintText: '限制 长度5，0-9，phone键盘', keyboardType: TextInputType.phone, inputFormatters: [
              FilteringTextInputFormatter.allow(RegExp('[0-9]')),
              LengthLimitingTextInputFormatter(5)
            ]),
            const SizedBox(height: 10),
            VField(hintText: '自定义inputFormatters 长度10，a-zA-Z0-9', inputFormatters: [
              FilteringTextInputFormatter.allow(RegExp('[a-zA-Z0-9]')),
              LengthLimitingTextInputFormatter(10)
            ]),
            const SizedBox(height: 10),
            VField(
              hintText: '左侧自定义，maxLength=15',
              leftWidget: Container(
                color: Colors.yellow,
                width: 100,
              ),
              maxLength: 15,
            ),
            const SizedBox(height: 10),
            VField(
              hintText: '右侧自定义，maxLength=15',
              rightWidget: Container(
                color: Colors.yellow,
                width: 100,
              ),
              maxLength: 15,
            ),
            const SizedBox(height: 10),
            const VField(
              hintText: '设置maxLines=5，设置边框',
              maxLines: 5,
              border: OutlineInputBorder(
                borderRadius: BorderRadius.all(Radius.circular(4)),
                borderSide: BorderSide(
                  width: 1,
                  style: BorderStyle.none,
                ),
              ),
            ),
            const SizedBox(height: 10),
            const VField(
              hintText: '默认1行，自动换行，最多5行，100字符',
              border: OutlineInputBorder(
                borderRadius: BorderRadius.all(Radius.circular(4)),
                borderSide: BorderSide(
                  width: 1,
                  style: BorderStyle.none,
                ),
              ),
            ),
            const SizedBox(height: 10),
            const SizedBox(height: 10),
            VField2(
              text: 'text赋初值',
              hintText: '请输入',
            ),
            VField2(
              hintText: '输入时不显示删除按钮',
            ),
            VField2(
              hintText: '输入时显示删除按钮',
              isShowDeleteBtn: true,
            ),

            VField2(
              hintText: '密码样式(右侧默认图片)',
              isShowDeleteBtn: true,
              isPwd: true,
            ),
            VField2(hintText: '默认只限制长度20', isShowDeleteBtn: true),
            VField2(hintText: '自定义inputFormatters 长度5，a-zA-Z0-9', isShowDeleteBtn: true, inputFormatters: [
              FilteringTextInputFormatter.allow(RegExp('[a-zA-Z0-9]')),
              LengthLimitingTextInputFormatter(5)
            ]),

            VField2(
                hintText: '右侧自定义',
                rightWidget: Container(
                  color: Colors.yellow,
                  width: 100,
                  height: 45,
                )),

            VField2(
              hintText: '左侧自定义',
              leftWidget: Container(
                color: Colors.yellow,
                width: 50,
              ),
            ),

            VField2(
                hintText: '限制 长度5，0-9，phone键盘',
                isShowDeleteBtn: true,
                keyboardType: TextInputType.phone,
                inputFormatters: [
                  FilteringTextInputFormatter.allow(RegExp('[0-9]')),
                  LengthLimitingTextInputFormatter(5)
                ]),

            VField2(
                text: _phone,
                hintText: '请输入手机号',
                focusNode: _node1,
                maxLength: 11,
                isShowDeleteBtn: true,
                keyboardType: TextInputType.number,
                inputCallBack: (value) => _phone = value),

            Container(
              padding: EdgeInsets.all(20),
              child: VField2(
                text: _name,
                hintText: '请输入用户名',
                labelText: '用户名',
                leftWidget: Icon(Icons.person),
                isShowDeleteBtn: true,
                isDense: true,
                border: OutlineInputBorder(
                  borderRadius: const BorderRadius.all(Radius.circular(4)),
                  borderSide: BorderSide(width: 0.5, color: Colors.grey),
                ),
              ),
            ),

            VField2(
              hintText: '请输入手机号',
              leftWidget: Container(child: Center(child: Text('+86'))),
              showRedStar: true,
              isShowDeleteBtn: true,
              keyboardType: TextInputType.phone,
            ),

            VField2(
                text: _name,
                hintText: '请输入用户名',
                labelText: '用户名',
                leftWidget: Icon(Icons.person),
                isShowDeleteBtn: true,
                inputCallBack: (value) => _name = value),
            VField2(
                text: _pwd,
                hintText: '请输入密码(添加右侧密码图片)',
                maxLength: 200,
                // leftWidget: const Icon(Icons.lock),
                leftWidget: Image.asset(AssetsRes.PASSWORD,width: 20,height: 20,),
                isShowDeleteBtn: true,
                isPwd: true,
                // pwdClose: 'assets/images/ic_pwd_close.png',
                // pwdOpen: 'assets/images/ic_pwd_open.png',
                inputCallBack: (value) => _pwd = value),

            VField2(
                text: _code,
                hintText: '请输入验证码',
                focusNode: _node2,
                maxLength: 6,
                keyboardType: TextInputType.number,
                rightWidget: VCountDownBtn(
                    showBorder: true,
                    getVCode: () async {
                      return true;
                    }),
                inputCallBack: (value) => _code = value),
          ],
        ),
      ),
    );
  }

  @override
  void initBaseParams() {
    // TODO: implement initBaseParams
  }

  @override
  void initPageData() {
    // TODO: implement initPageData
  }
}
