import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter/src/widgets/framework.dart';
import 'package:v_base_framework/page/base_page.dart';
import 'package:v_base_framework/widget/appbar_helper.dart';
import 'package:v_components/utils/time_utils.dart';
import 'package:v_components/widgets/cell/cell_widget.dart';
import 'package:v_components/widgets/picker/picker_tool.dart';


class PickerDemo extends BasePage {
  @override
  CommonBasePageState<BasePage> createBaseState() => _CellState();
}

class _CellState extends CommonBasePageState<PickerDemo> {
  final stringArr = ['狼图腾', '家', '春', '秋'];
  final dictArr = [
    {'label': '类型一', 'value': '1'},
    {'label': '类型二', 'value': '2'},
    {'label': '类型三', 'value': '3'},
  ];

  final stringArr2 = [
    ['11', '22'],
    ['33', '44'],
  ];

  final dictArr2 = [
    [
      {'label': '四大名著', 'value': '1'},
      {'label': '大类二', 'value': '2'},
      {'label': '大类三', 'value': '3'},
    ],
    [
      {'label': '西游', 'value': '1'},
      {'label': '红楼', 'value': '1'},
      {'label': '三国', 'value': '1'},
      {'label': '水浒', 'value': '1'},
      {'label': '小类二', 'value': '2'},
    ],
  ];

  final stringArr3 = [
    ['11', '22'],
    ['33', '44'],
    ['55', '66']
  ];

  final dictArr3 = [
    [
      {'label': '大类一', 'value': '1'},
      {'label': '大类二', 'value': '2'},
      {'label': '大类三', 'value': '3'},
    ],
    [
      {'label': '中类一', 'value': '1'},
      {'label': '中型二', 'value': '2'},
      {'label': '中型三', 'value': '3'},
      {'label': '中型四', 'value': '4'},
    ],
    [
      {'label': '小类一', 'value': '1'},
      {'label': '小类二', 'value': '2'},
    ],
  ];

  @override
  Widget buildPageWidget(BuildContext context) {
    return Scaffold(
      appBar: CommonAppbarUtil.getAppBar(
        context,
        appBarBackgroundColor: "#0389fa",
        title: "picker",
      ),
      body: SingleChildScrollView(
        child: Column(
          children: [
            VCell(
              title: '单列',
              value: '字符串数组',
              textAlign: TextAlign.right,
              clickCallBack: () {
                VPickerTool.showStringPicker(context,
                    data: stringArr,
                    title: '请选择类型',
                    selectIndex: 1, clickCallBack: (selectValue, selectIndex) {
                      debugPrint("---您选的是-$selectValue-------------");
                      debugPrint('---您选的是-${selectValue['label']}----');
                      debugPrint('---您选的是-selectIndex----');
                      // ToastUtils.toast(selectValue);
                    });
              },
            ),
            VCell(
              title: '单列',
              value: '对象数组',
              textAlign: TextAlign.right,
              clickCallBack: () {
                VPickerTool.showStringPicker(context,
                    data: dictArr,
                    title: '请选择类型',
                    labelKey: 'label',
                    selectIndex: 1, clickCallBack: (selectValue, selectIndex) {
                      debugPrint(selectValue);
                      debugPrint(selectValue['label']);
                      debugPrint(selectIndex);
                      // ToastUtils.toast(selectValue["label"]);
                    });
              },
            ),
            VCell(
              title: '2列',
              value: '字符串数组',
              textAlign: TextAlign.right,
              clickCallBack: () {
                VPickerTool.showArrayPicker(context,
                    data: stringArr2, selectIndex: [0, 1],
                    clickCallBack: (selectItemArr, selectIndexArr) {
                      // ToastUtils.toast(selectItemArr);
                      debugPrint("你的选择时$selectItemArr-------");
                    });
              },
            ),
            VCell(
              title: '2列',
              value: '对象数组',
              textAlign: TextAlign.right,
              clickCallBack: () {
                VPickerTool.showArrayPicker(context,
                    data: dictArr2,
                    title: '请选择类型',
                    labelKey: 'label',
                    selectIndex: [1, 1],
                    clickCallBack: (selectItemArr, selectIndexArr) {
                      // print(selectItemArr);
                      // print(selectIndexArr);
                      // print(dictArr2[0][selectIndexArr[0]]);
                      // print(dictArr2[1][selectIndexArr[1]]);
                      // showText(selectItemArr);
                    });
              },
            ),
            VCell(
              title: '3列',
              value: '字符串数组',
              textAlign: TextAlign.right,
              clickCallBack: () {
                VPickerTool.showArrayPicker(context,
                    data: stringArr3, selectIndex: [0, 1, 0],
                    clickCallBack: (selectItemArr, selectIndexArr) {
                      // print(selectItemArr);
                      // print(selectIndexArr);
                      // showText(selectItemArr);
                    });
              },
            ),
            VCell(
              title: '3列',
              value: '对象数组',
              textAlign: TextAlign.right,
              clickCallBack: () {
                VPickerTool.showArrayPicker(context,
                    data: dictArr3, labelKey: 'label', selectIndex: [0, 1, 0],
                    clickCallBack: (selectItemArr, selectIndexArr) {
                      // print(selectItemArr);
                      // print(selectIndexArr);
                      // showText(selectItemArr);
                    });
              },
            ),
            VCell(
              title: '时间',
              value: '（默认YMD）',
              textAlign: TextAlign.right,
              clickCallBack: () {
                VPickerTool.showDatePicker(context,
                    clickCallBack: (selectValue, selectIndexArr) {
                      // print(selectValue);
                      // print(selectIndexArr);
                      // showText(selectValue);
                    });
              },
            ),
            VCell(
              title: '时间',
              value: '（YM）',
              textAlign: TextAlign.right,
              clickCallBack: () {
                VPickerTool.showDatePicker(context, dateType: PickerDateType.YM,
                    clickCallBack: (selectValue, selectIndexArr) {
                    });
              },
            ),
            VCell(
              title: '时间',
              value: '（YMD_HM）',
              textAlign: TextAlign.right,
              clickCallBack: () {
                VPickerTool.showDatePicker(context, dateType: PickerDateType.YMD_HM,
                    clickCallBack: (selectValue, selectIndexArr) {
                    });
              },
            ),
            VCell(
              title: '时间',
              value: '（YMD_AP_HM）',
              textAlign: TextAlign.right,
              clickCallBack: () {
                VPickerTool.showDatePicker(context, dateType: PickerDateType.YMD_AP_HM,
                    clickCallBack: (selectValue, selectIndexArr) {
                    });
              },
            ),
            VCell(
              title: '时间',
              value: '（时间选择设置最大最小时间）',
              textAlign: TextAlign.right,
              clickCallBack: () {
                VPickerTool.showDatePicker(context,
                    title: '请选择时间',
                    minTime: DateTime(int.parse(VTimeUtils.getYear()) - 1, 10, 10),
                    maxTime: DateTime(int.parse(VTimeUtils.getYear()) + 1, 10, 10),
                    selectTime: DateTime(int.parse(VTimeUtils.getYear()), 10, 10),
                    clickCallBack: (selectValue, selectIndexArr) {
                    });
              },
            ),
          ],
        ),
      ),
    );
  }

  @override
  void initBaseParams() {
    // TODO: implement initBaseParams
  }

  @override
  void initPageData() {
    // TODO: implement initPageData
  }
}
