import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter/src/widgets/framework.dart';
import 'package:v_base_framework/page/base_page.dart';
import 'package:v_base_framework/widget/appbar_helper.dart';
import 'package:v_components/widgets/search/VSearch.dart';

class SearchDemo extends BasePage {
  @override
  CommonBasePageState<BasePage> createBaseState() => _Searchtate();
}

class _Searchtate extends CommonBasePageState<SearchDemo> {
  var _keyWord = '';
  List _searchData = [];
  @override
  Widget buildPageWidget(BuildContext context) {
    return Scaffold(
      appBar: CommonAppbarUtil.getAppBar(context,
        appBarBackgroundColor: "#0389fa", title: "search",
      ),
      body: VSearchBar(
        text: _keyWord,
        bgColor: "#dcdcdc",
        searchBgColor: "#ffffff",
        hintText: '请输入',
        maxLength: 10,
        height: 60,
        inputCallBack: (value) {
          setState(() {
            _keyWord = value;
            if (value.length == 0) {
              _searchData = [];
            }
            if (value.length >= 3) {
              // _requestKeywordList(value);
            }
          });
        },
        inputCompletionCallBack: (value, isSubmitted) {
          if (isSubmitted) {
            setState(() {
              _keyWord = value;
              _searchData = [];
              if (value.length >= 3) {
                // _requestData(isShowLoading: true);
              }
            });
          }
        },
      ),
    );
  }

  @override
  void initBaseParams() {
    // TODO: implement initBaseParams
  }

  @override
  void initPageData() {
    // TODO: implement initPageData
  }
}
