
import 'package:example/demos/alert/showVAlert.dart';
import 'package:example/demos/wzp_daydart/day_dart_demo.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:v_components/widgets/cell/cell_widget.dart';
import 'package:v_components/widgets/wechat_picker/select_file_utils.dart';
import 'dart:io';
import 'demos/button.dart';
import 'demos/cell.dart';
import 'demos/dropdownmenu_demo/dropdown_level_1.dart';
import 'demos/empty/emptys.dart';
import 'demos/field_demo.dart';
import 'demos/picker_demo/picker_demo.dart';
import 'demos/refresh_demo/refresh_demo.dart';
import 'demos/search_demo.dart';
import 'demos/stepper_demo.dart';
import 'demos/tabbar_demo/appbar_demo.dart';
import 'package:wechat_assets_picker/wechat_assets_picker.dart';


void main() {
  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({super.key});

  // This widget is the root of your application.
  @override
  Widget build(BuildContext context) {
    return GetMaterialApp(
      debugShowCheckedModeBanner: false,
      title: 'Flutter Demo',
      theme: ThemeData(
        // This is the theme of your application.
        //
        // TRY THIS: Try running your application with "flutter run". You'll see
        // the application has a blue toolbar. Then, without quitting the app,
        // try changing the seedColor in the colorScheme below to Colors.green
        // and then invoke "hot reload" (save your changes or press the "hot
        // reload" button in a Flutter-supported IDE, or press "r" if you used
        // the command line to start the app).
        //
        // Notice that the counter didn't reset back to zero; the application
        // state is not lost during the reload. To reset the state, use hot
        // restart instead.
        //
        // This works for code too, not just values: Most code changes can be
        // tested with just a hot reload.
        colorScheme: ColorScheme.fromSeed(seedColor: Colors.deepPurple),
        useMaterial3: true,
      ),
      home: const MyHomePage(title: 'Flutter Demo Home Page'),
    );
  }
}

class MyHomePage extends StatefulWidget {
  const MyHomePage({super.key, required this.title});

  // This widget is the home page of your application. It is stateful, meaning
  // that it has a State object (defined below) that contains fields that affect
  // how it looks.

  // This class is the configuration for the state. It holds the values (in this
  // case the title) provided by the parent (in this case the App widget) and
  // used by the build method of the State. Fields in a Widget subclass are
  // always marked "final".

  final String title;

  @override
  State<MyHomePage> createState() => _MyHomePageState();
}

class _MyHomePageState extends State<MyHomePage> {
  int _counter = 0;

  void _incrementCounter() {
    setState(() {
      // This call to setState tells the Flutter framework that something has
      // changed in this State, which causes it to rerun the build method below
      // so that the display can reflect the updated values. If we changed
      // _counter without calling setState(), then the build method would not be
      // called again, and so nothing would appear to happen.
      _counter++;
    });
  }

  @override
  Widget build(BuildContext context) {
    // This method is rerun every time setState is called, for instance as done
    // by the _incrementCounter method above.
    //
    // The Flutter framework has been optimized to make rerunning build methods
    // fast, so that you can just rebuild anything that needs updating rather
    // than having to individually change instances of widgets.
    return Scaffold(
      appBar: AppBar(
        // TRY THIS: Try changing the color here to a specific color (to
        // Colors.amber, perhaps?) and trigger a hot reload to see the AppBar
        // change color while the other colors stay the same.
        backgroundColor: Theme.of(context).colorScheme.inversePrimary,
        // Here we take the value from the MyHomePage object that was created by
        // the App.build method, and use it to set our appbar title.
        title: Text(widget.title),
      ),
      body:  SingleChildScrollView(
      child: Center(
        child: Column(
          children: [
            Text(
              '$_counter',
              style: Theme.of(context).textTheme.headline4,
            ),
            const VCell(
              title: '字体图标',
              leftWidget: Text("\ue70a",
                  style: TextStyle(
                      fontFamily: 'e6_iconfont', color: Colors.redAccent)),
              rightWidget:Icon(IconData(0xe610, fontFamily: 'e6_iconfont'),
                  color: Colors.grey) ,
              hiddenArrow: true,
            ),
            VCell(title: 'button',clickCallBack:(){
              Get.to(ButtonDemo());
            } ),
            VCell(title: 'cell',clickCallBack:(){
              Get.to(CellDemo());
            } ),
            VCell(title: 'field',clickCallBack:(){
              Get.to(FieldDemo());
            } ),
            VCell(title: 'tabbar',clickCallBack:(){
              Get.to(AppbarDemo());
            } ),
            VCell(title: 'empty',clickCallBack:(){
              Get.to(EmptyDemos());
            } ),
            VCell(title: '搜索框',clickCallBack:(){
              Get.to(SearchDemo());
            } ),
            VCell(title: 'dropdownmenu',clickCallBack:(){
              Get.to(DropDownLevel1());
            } ),
            VCell(title: 'picker',clickCallBack:(){
              Get.to(PickerDemo());
            } ),
            VCell(title: 'stepper',clickCallBack:(){
              Get.to(StepperDemo());
            } ),
            VCell(title: 'refresh',clickCallBack:(){
              Get.to(RefreshDemo());
            } ),
            VCell(title: 'daydart',clickCallBack:(){
              Get.to(DaydartDemo());
            } ),
            VCell(title: '图片选择',clickCallBack:(){
              AssetsPickerUtils.toSelectPic(context, selectCallback:(List<AssetEntity>? selectedImgs) {
              });
            } ),

            VCell(title: 'Alert',clickCallBack:(){
              Get.to(VAlertDemo());

            } ),
          ],
        ),
      )),
      floatingActionButton: FloatingActionButton(
        onPressed: _incrementCounter,
        tooltip: 'Increment',
        child: const Icon(Icons.add),
      ), // This trailing comma makes auto-formatting nicer for build methods.
    );
  }
}
