/// @Author ThinkPad
/// @Date 2022/08/19 15:45
///
/// @Description 颜色处理   包含有透明度
///
///
import 'dart:ui' show Color;


class ColorsUtil {
  /// 十六进制颜色，
  /// hex, 十六进制值，例如：0xffffff,
  /// alpha, 透明度 [0.0,1.0]

  static Color hex2Color(String s, {double alpha = 1}) {
    int hex=int.parse(s.substring(1, 7), radix: 16) + 0xFF000000;
    if (alpha < 0) {
      alpha = 0;
    } else if (alpha > 1) {
      alpha = 1;
    }
    return Color.fromRGBO((hex & 0xFF0000) >> 16, (hex & 0x00FF00) >> 8,
        (hex & 0x0000FF) >> 0, alpha);
  }

  /// 在flutter中，color使用的是ARGB，0x后面的就是ARGB，A就是FF表示透明度，RGB就是三原色了，
  /// 考虑到divider等有时就使用的这种色值 
  static  Color getColor(String s){
    int hex=int.parse(s.substring(1, 7), radix: 16) + 0xFF000000;
    return Color(hex);
  }
}