///  @author:wzp_vicky
///  @time：2022年1月21日14:47:05
///  @version:  V1.1
///  @description 这个组件，起源于重庆公运（注册和一些菜单页面）， 专门用于处理沉浸式状态栏的自定义appbar,为了处理图片顶到状态栏，然后还需要一个appbar的场景
///  这是方案2  在注册使用的
///  方案1是在订单的二级页面、首页和我的中使用的
///
///  @author:wzp_vicky
///  @time：2022年11月2日10:14:19
///  @version:  V2.0
///  @description：在做伊利奶粉的时候发现这个返回键的位置会占用整个appbar的宽度，所以重构一下，另外现在appbar的高度是类似写死的，
///  试了多个获取状态栏的方法，都不对，可能是没有设置appbar所以拿不到，这个后续可以采用隐藏一个appbar的方法试试，目前是可用的
///

import 'package:flustars_flutter3/flustars_flutter3.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter/services.dart';

class FullScreenAppBar extends StatefulWidget {
  String appBarTitle;
  final Widget? leftWidget;
  TextStyle? pageTitleStyle;
  bool isShowLeft;

  FullScreenAppBar(
      {Key? key,
        this.appBarTitle = "",
        this.leftWidget,
        this.pageTitleStyle,
        this.isShowLeft = true})
      : super(key: key);

  @override
  State<StatefulWidget> createState() {
    // TODO: implement createState
    return FullScreenState();
  }
}

class FullScreenState extends State<FullScreenAppBar> {
  @override
  Widget build(BuildContext context) {
    return Container(
      width: ScreenUtil.getScreenW(context),
      height: ScreenUtil.getScaleH(context, 66),
      // color: Colors.blueAccent,
      child: Stack(
        children: [
          Container(
            // color: Colors.red,
            // height: ScreenUtil().getHeight(66),
            // color: Colors.green,
            padding: EdgeInsets.only(
              top: MediaQuery.of(context).padding.top,
            ),
            child: Container(
              // color: Colors.red,-
              alignment: Alignment.center,
              child: Text(
                widget.appBarTitle,
                style: widget.pageTitleStyle ??
                    const TextStyle(
                        color: Colors.white,
                        fontSize: 18,
                        fontWeight: FontWeight.bold),
              ),
            ),
          ),
          Visibility(
              visible: widget.isShowLeft,
              child: Positioned(
                  left: 0,
                  top: MediaQuery.of(context).padding.top,
                  bottom: 0,
                  child: InkWell(
                      onTap: () {
                        Navigator.of(context).pop();
                      },
                      child: Container(
                        // color: Colors.yellow,
                        alignment: Alignment.center,
                        padding: const EdgeInsets.only(
                          left: 10,
                          right: 10,
                        ),
                        child: widget.leftWidget ??
                            const Icon(
                              Icons.arrow_back_ios_new,
                              color: Colors.white,
                            ),
                      ))))
        ],
      ),
    );
  }
}
